# My-MC.Link Website

Welcome to the repository for the [My-MC.Link](https://my-mc.link) website, a platform offering free, futuristic Minecraft server hosting with secure P2P networking, cross-platform play, and powerful API integration.

## Overview

This repository contains the source code for the My-MC.Link website, designed to provide an engaging and informative experience for Minecraft enthusiasts. The site showcases the features of My-MC.Link, including free hosting, secure P2P networking, mod management, and cross-platform play with Geyser support. It also includes a Terms of Service page and is styled with a Minecraft-inspired aesthetic.

## Features

- **Responsive Design**: Built with Tailwind CSS and custom styles for a seamless experience across devices.
- **Dynamic Effects**: Includes particle animations, scroll-based section reveals, tilt effects for feature cards, and a parallax fallback image.
- **YouTube Background**: A looping, muted YouTube video in the hero section, with a fallback image for error handling.
- **Custom Styling**: Uses the Minecraft font and a futuristic gradient-based design to align with the brand.
- **Interactive Elements**: Buttons with glow effects and hover animations enhance user engagement.
- **Terms of Service**: A dedicated page outlining the legal agreement for using the platform.

## File Structure

- `index.html`: The main landing page with sections for features, My-MC Realms, API details, and a call-to-action.
- `terms.html`: The Terms of Service page detailing user agreements, intellectual property, and prohibited activities.
- `mc/css/style.css`: Custom CSS for styling, including animations, gradients, and responsive layouts.
- `mc/js/main.js`: JavaScript for dynamic effects like particle spawning, scroll animations, tilt effects, and video error handling.
- `mc/img/`: Directory for images, including the My-MC Realms screenshot.
- `mc/favicon.ico`: Favicon for the website.